import { jsx } from "react/jsx-runtime";
import { TokenBCH as TokenBCH$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBCH = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BCH", "data-name": "TokenBCH", ...props, children: /* @__PURE__ */ jsx(TokenBCH$1, { variant }) });
  }
);
TokenBCH.displayName = "TokenBCH";
Object.assign(TokenBCH, { isGdsIcon: true });
export {
  TokenBCH
};
